#include "Module.h"

#include "Panel_preset.h"
#include "Main_window.h"

#include <QTimer>

namespace MM
{

class Module_preset : public Module
{
    static Module_preset    singleton_;
                            Module_preset() ;
    void                    init ();
};
Module_preset  Module_preset::singleton_;


Module_preset::Module_preset () : Module ("Preset") { }

void  Module_preset::
init ()
{
    struct Preset : public Command
        {void execute()  {Panel_preset::singleton()->popup ();}};



    insert_menu_separator ("Settings");

    adopt_command (new Preset)
        .set_menu        ("Settings", "&Theme")
        ;

    //insert_menu_separator ("&Build");

    
    Panel_preset::singleton()->popup ();
    //QTimer::singleShot (500, Main_window::singleton(), SLOT(min_left_panel()));//fix
}

}//MM
